Bug 200063 - VLC Mozilla Plugin wont compile doe to missing mozilla-config
VLC Mozilla Plugin wont compile doe to missing mozilla-config
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 05:05 EDT by Michael Ditum
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Ditum 2006-07-25 05:05:01 EDT
Description of problem:
I am trying to install the latest of vlc with the mozilla plugin enabled. I have
mozilla and mozilla-devel installed but the configure line returns stating that
mozilla-config was not found. 

Version-Release number of selected component (if applicable):
mozilla-devel-1.7.13-1.1.fc5
mozilla-1.7.13-1.1.fc5
VLC SVN Revision 16118 though I believe the same error occurs on 0.8.5 just with
a different error message.

How reproducible:
Always

Steps to Reproduce:
1. Check out VLC SVN Release
2. Ensure you have mozilla and mozilla-devel installed
3. Run the following configure line

./configure --prefix=/usr --enable-mozilla --enable-mpeg2dec --disable-mad
--disable-wxwidgets --with-mozilla-sdk=/usr/lib/mozilla-1.7.12/
  
Actual results:
checking for gnutls/gnutls.h... no
checking whether the byte order is big-endian... no
checking for mozilla-config... no
checking for xulrunner-config... no
configure: error: Please install the Mozilla development tools, mozilla-config
was not found.

Expected results:
Configure to complete correctly.

Additional info:

Neither mozilla-config or xulrunner-config are present on the system.

[root@bloodhound3 vlc_trunk]# locate mozilla-config
/usr/include/mozilla-1.7.13/mozilla-config.h
[root@bloodhound3 vlc_trunk]# locate xulrunner
[root@bloodhound3 vlc_trunk]#
Comment 1 Matěj Cepl 2007-07-18 13:31:56 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 2 Matěj Cepl 2007-08-28 10:57:24 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.